<?xml version="1.0" encoding="UTF-8"?><?xml-stylesheet type='text/xsl' href='_UpgradeReport_Files/UpgradeReport.xslt'?><UpgradeLog>
<Properties><Property Name="Solution" Value="4-2-8">
</Property><Property Name="Solution File" Value="C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\4-2-8.sln">
</Property><Property Name="User Options File" Value="C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\4-2-8.suo">
</Property><Property Name="Date" Value="Sunday, August 09, 2009">
</Property><Property Name="Time" Value="17:32 PM">
</Property></Properties><Event ErrorLevel="0" Project="" Source="4-2-8.sln" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\4-2-8.sln">
</Event><Event ErrorLevel="0" Project="" Source="4-2-8.suo" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\4-2-8.suo">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="4-2-8.vbproj" Description="Project file successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\4-2-8.vbproj">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="4-2-8.vbproj.user" Description="Project user file successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\4-2-8.vbproj.user">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="frmAddition.vb" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\frmAddition.vb">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="frmAddition.Designer.vb" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\frmAddition.Designer.vb">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="My Project\AssemblyInfo.vb" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\My Project\AssemblyInfo.vb">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="My Project\Application.Designer.vb" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\My Project\Application.Designer.vb">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="My Project\Resources.Designer.vb" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\My Project\Resources.Designer.vb">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="My Project\Settings.Designer.vb" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\My Project\Settings.Designer.vb">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="My Project\Application.myapp" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\My Project\Application.myapp">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="My Project\Settings.settings" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\My Project\Settings.settings">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="My Project\Resources.resx" Description="File successfully backed up as C:\Users\David\Documents\Books\1VB2010\Instructors CD\Programs\Ch04\4-2-8\Backup\My Project\Resources.resx">
</Event><Event ErrorLevel="0" Project="4-2-8" Source="4-2-8.vbproj" Description="The project file does not require conversion.">
</Event><Event ErrorLevel="3" Project="4-2-8" Source="4-2-8.vbproj" Description="No Conversion Required">
</Event><Event ErrorLevel="0" Project="" Source="4-2-8.sln" Description="Solution converted successfully">
</Event><Event ErrorLevel="3" Project="" Source="4-2-8.sln" Description="Converted">
</Event></UpgradeLog>